SETUP-DS.PL(8)

NAME
setup-ds.pl - Set up an instance of Directory Server

SYNOPSIS
setup-ds.pl [--options] -- [args]

DESCRIPTION
Set up a Directory Server instance. Creates the configuration files for an instance of Directory Server based on a few parameters like the hostname, port number, and directory manager information. Can be run in interactive mode with different levels of verbosity, or in silent mode with parameters supplied in a .inf format file or on the command line.

OPTIONS
A summary of options is included below:

--help
    This message

--version
    Print the version and exit

--debug
    Turn on debugging

--silent
    Use silent setup - no user input

--file=name
    Use the file 'name' in .inf format to supply the default answers

--keepcache
    Do not delete the temporary .inf file generated by this program

--logfile
    Log setup messages to this file - otherwise, a temp file will be used

--update
    Update existing installations - add/update schema files, add/change configuration, add new instance scripts, etc. You must run setup-ds.pl -u after upgrading your packages. You will usually have to restart your servers in order for all of the changes to take effect (e.g. adding/changing plug-in configuration), so schedule this when you can afford a little downtime.

--continue
    (Update only) Keep going even if errors occur. You will usually not need to use this option unless your installation is broken and you need to force it to update in order to fix it.

For all options, you can also use the short name e.g. -h, -d, etc. For the -d argument, specifying it more than once will increase the debug level e.g. -ddddd

args: You can supply default .inf data in this format:

    section.param=value

e.g.

    General.FullMachineName=foo.example.com

or

    "slapd.Suffix=dc=example, dc=com"

Values passed in this manner will override values in an .inf file given with the -f argument.

UPDATES
The update process (setup-ds.pl -u) can work in one of two modes: Online: Configuration changes are made to the running directory servers using LDAP. The operations must be performed as an administrative user. You must provide the name and password, for each instance if there is more than one instance of directory server. Some changes (e.g. plug-ins) may require a directory server restart to take effect. The update script will notify you if a restart is required. Offline: The changes are made to the server configuration files. The servers MUST FIRST BE SHUTDOWN BY YOU. The script will not shutdown the servers for you. You MUST shutdown the servers in order to use this mode. A username and password are not required to use Offline mode. If the servers are not shutdown, CHANGES WILL BE LOST. To summarize: Online - servers remain running - you must provide admin name and password for each server - servers may need to be restarted Offline - servers must be shutdown - no username or password required

AUTHOR
setup-ds.pl was written by the 389 Project.

REPORTING BUGS
Report bugs to https://fedorahosted.org/389/newticket.

COPYRIGHT
Copyright © 2008 Red Hat, Inc.
This manual page was written by Michele Baldessari <michele@pupazzo.org>, for the Debian project (but may be used by others).
This is free software. You may redistribute copies of it under the terms of the Directory Server license found in the LICENSE file of this software distribution. This license is essentially the GNU General Public License version 2 with an exception for plug-in distribution.